#pragma once
#include "structs.h"

vec3 vec3Add(vec3, vec3);

vec3 vec3Subtract(vec3, vec3);

vec3 vec3Scale(vec3, double);

double vec3Product(vec3, vec3);

double vec3Length(vec3);

vec3 vec3Normalize(vec3);

vec3 vec3Cross(vec3 a, vec3 b);
